Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions
NR< H > Struct Template Reference

NR More...

`#include <gfpcrypt.h>`

Inheritance diagram for NR< H >:

List of all members.

## Public Types

typedef PK_FinalTemplate < DL_SignerImpl< SchemeOptions > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate < DL_VerifierImpl < SchemeOptions > > | Verifier
| implements PK_Verifier interface
typedef DL_GroupParameters_GFP | GroupParameters
typedef DL_PublicKey_GFP < GroupParameters > | PublicKey
typedef DL_PrivateKey_GFP < GroupParameters > | PrivateKey

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class H>
struct NR< H >

NR

Definition at line 355 of file gfpcrypt.h.

The documentation for this struct was generated from the following file:

- gfpcrypt.h